Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045651
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajoralways2020-12-23 07:022020-12-29 07:52
ReporterrafarodaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR20Q4.1
StatusresolvedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionRR20Q4.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045651: Deactivation of tax rates does not have effect in web POS

DescriptionDeactivation of tax rates does not have effect in web POS

When I deactivate a Tax Rate in WebPOS (Active = N) there is no effect in WebPOS, the tax rate remains there in local database, even after Menu > Refresh Data or Incrmental Refresh
Steps To ReproduceIn 20Q3

1) Identify a Tax Rate that Applies in WebPOS

2) In Backoffice, deactivate the Tax Rate

3) In Web POS Menu > Refresh Data

The Tax Rate is still present in WebPOS when it should not
Proposed SolutionThe Tax Rate should be removed from WebPOS
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0045642 closedranjith_qualiantech_com Deactivation of tax rates does not have effect in web POS 

-  Notes
(0125123)
hgbot (developer)
2020-12-29 07:52

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 569291b070649c01a7451bb84ca12cc8091c587f
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-12-29T12:22:39+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/569291b070649c01a7451bb84ca12cc8091c587f [^]

Fixed ISSUE-45651: Added active property to TaxRate and TaxZone Masterdata

---
M src/org/openbravo/retail/posterminal/master/TaxRateProperties.java
M src/org/openbravo/retail/posterminal/master/TaxZoneProperties.java
---

- Issue History
Date Modified Username Field Change
2020-12-28 07:57 marvintm Type defect => backport
2020-12-28 07:57 marvintm Target Version => RR20Q4.1
2020-12-29 07:52 hgbot Resolution open => fixed
2020-12-29 07:52 hgbot Status scheduled => resolved
2020-12-29 07:52 hgbot Fixed in Version => RR20Q4.1
2020-12-29 07:52 hgbot Note Added: 0125123


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker